<div class="info-component" [ngClass]="{'open': showInfo}">
  <div class="header" (click)="handleClick($event)">
    <span class="icon icon-info"></span>
    <div class="text" id="qa-text">{{ text }}</div>
    <span class="icon-chevron icon-chevron-right"></span>
  </div>
  <div class="info-wrapper" *ngIf="showInfo">
    <span class="icon icon-cross" *ngIf="showCloseIcon" (click)="closeInfo()"></span>
    <ng-content></ng-content>
  </div>
</div>
